| Class Specialization Bed12 BedRecord BedRecord with 12 fields. This BedRecord specialization stores all fields of a BED file.
BedRecord
Bed3 BedRecord
Bed4 BedRecord
Bed5 BedRecord
Bed6 BedRecord
Bed12 BedRecord
class BedRecord<Bed12> Include Headers seqan/bed_io.h Specialization of Bed6 BedRecord Data Members
beginPosition | Begin position on the reference. (BedRecord)
blockBegins | The begin positions of the blocks (Alloc String of __int32).
blockCount | The number of blocks.
blockSizes | The sizes of the blocks (Alloc String of __int32).
data | Any data after the last position. (BedRecord)
endPosition | End position on the reference. (BedRecord)
INVALID_POS | Constant for invalid positions. (BedRecord)
INVALID_REFID | Constant for invalid references. (BedRecord)
itemRgb | RGB color of item (BedRgb).
name | The name of the interval (CharString). (Bed4 BedRecord)
ref | Name of the interval's reference (CharString). (BedRecord)
rID | Numeric id of the interval's reference (__int32, defaults to INVALID_REFID). (BedRecord)
score | The score of the interval (stored as CharString to allow more flexible annotation). (Bed5 BedRecord)
strand | The strand of the interval (stored as char, one of ., '-', and +). (Bed6 BedRecord)
thickBegin | The begin position of thick drawing (__int32).
thickEnd | The end position of thick drawing (__int32).
Member Functions
BedRecord | Constructor. (BedRecord)
Functions
clear | Reset BED record to state after default initialization. (BedRecord)
readRecord | Read a record from a BedStream (BedRecord)
writeRecord | Write a record to a BedStream (BedRecord)
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00